Bug 71 - zextras chat causing excessive memory usage, forcing Full GC and service interruptions
Summary: zextras chat causing excessive memory usage, forcing Full GC and service inte...
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxChat (show other bugs)
Version: 1.8.3
Hardware: -- Linux
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-03-21 19:45 CET by maria
Modified: 2013-04-06 15:44 CEST (History)
3 users (show)

See Also:
Browser: ---
Zimlet Chat version: 1.04
Zimbra Version: 8.0.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description maria 2013-03-21 19:45:20 CET
We had tested zextras chat zimlet in our test environment on ZCS NE 8.0.2 and that was successful. On Sunday 3/17 we installed the latest zxsuite and zchat zimlet into production ZCS NE 8.0.2 single mailbox node environment. We then experienced a large amount of performance issues, service interruptions and found the server was regularly running Full GCs (per zmmailboxd.out.)  We increased physical memory and increased java heap size regularly over the next couple days, and still the problems persisted. The issue would alleviate if we restarted mailboxd, but, would quickly return. We finally undeployed the zxchat zimlet and zimbra services are now running smoothly.

It appears there is a memory leak or related memory issue when running the zxchat zimlet.

I have multiple zmdiaglogs that I can provide.
Comment 1 Cine 2013-03-22 08:57:03 CET
Hello maria,
thank you for your report.

The issue you are experiencing is being investigated by our Dev Team.

A couple of questions in order to better asses the situation:

Is the proxy service installed/active on your Zimbra test infrastructure?
Could you please email the zmdiaglogs to community@zextras.com?

Have a nice day,
Cine
the ZeXtras Team
Comment 2 D0s0n 2013-04-06 15:44:22 CEST
Fixed on ZeXtras Suite version 1.8.4